Incorrect or corrupted App Engine SDK: cannot find Django installation

I tried this on a fresh instalation of Stackless Python 2.5, PyCharm 1.2 EAP with App Engine SDK 1.4.2, not entirely sure if it's a bug or i'm doing something wrong

Repro:

  • File->New Project
    • select Project type: Google App Engine project
    • hit ok
  • App Engine Project settings dialog
    • Check Enable Django Support
    • give Application Name
    • hit ok

I get error dialog with: Incorrect or corrupted App Engine SDK: cannot find Django installation

No django settings.py, manage.py or urls.py show up in project directory as they did with previous GAE SDK.

3 comments
Comment actions Permalink

Hi Josh,

GAE SDK for Python includes 'django_0_96' and 'django_1_2' (google_appengine/lib) now.

As a workaround try to rename one of that folder to 'django'.

PyCharm rrrrrrrrrrrrocks! (:

0
Comment actions Permalink

Thanks a bunch, that works!

0
Comment actions Permalink

Hello josh,

This is indeed an incompatibility of PyCharm with the latest GAE SDK. I've

filed an issue for that: http://youtrack.jetbrains.net/issue/PY-3083

I tried this on a fresh instalation of Stackless Python 2.5, PyCharm

1.2 EAP with App Engine SDK 1.4.2, not entirely sure if it's a bug or

i'm doing something wrong

Repro:

  • File->New Project* select Project type: Google App Engine project

  • hit ok

  • App Engine Project settings dialog* Check Enable Django Support

  • give Application Name

  • hit ok

I get error dialog with: Incorrect or corrupted App Engine SDK: cannot

find Django installation

No django settings.py, manage.py or urls.py show up in project

directory as they did with previous GAE SDK. I can still set up a

project manually

--

Dmitry Jemerov

Development Lead

JetBrains, Inc.

http://www.jetbrains.com/

"Develop with Pleasure!"

0

Please sign in to leave a comment.